Create a new Geofence (Circular)

Purpose: Use this API to create a new Geofence.

📘

NOTE

You must provide information such as name, location co-ordinates (latitude and longitude), as well status information in the request body. Refer to the Body Parameters section for more info.

Sample Request Body

{
  "name":"alpha",
  "category":"Fuel Station",
  "radius_in_meters": "75",
  "centre_lat": "38.785890",
  "centre_lon": "-122.399270",
  "status":"active",
  "description": "notes of geofence"
}

Response Parameters

id

  • Type: Integer
  • Description: The unique identifier for the geofence.

name

  • Type: String
  • Description: The name of the geofence.

category

  • Type: String
  • Description: The category of the geofence, e.g., "Fuel Station".

status

  • Type: String
  • Description: The status of the geofence, e.g., "active".

address

  • Type: String
  • Description: The physical address associated with the geofence.

description

  • Type: String
  • Description: Denotes a brief note or a description with respect to the Geofence.

radius_in_meters

  • Type: Integer
  • Description: A measurement of the radius of the Geofence in meters.

center_lat

  • Type: Float
  • Description: The latitude of a central point in the geofence.

center_lon

  • Type: Float
  • Description: The longitude of a central point in the geofence.

Body Params
string
required

Specify the name of the geofence that you are creating.

string
required

Specify the category for which you are creating the Geofence. Allowed values are: 'Uncategorized', 'Fuel Station', 'Job Site', 'Maintenance Facility', 'Receiver / Consignee', 'Restricted Location', 'Shipper', 'Terminal / Yard', 'Truck Stop / Rest Area', 'Weigh Station / Scale', 'Shipper / Receiver'

float

Specify the radius of the circular Geofence in meters.

float

Specify the latitude of the center of the circular Geofence.

float

Specify the longitude of the center of the circular Geofence.

string
Defaults to active

Specify the status of the Geofence that you are creating. Allowed values are active or deactivated.

string

Provide a short description for the Geofence.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json